<?php

/**
 * Create default Edit Adress Template in the LiveComposer Templates Section
 */
function lcwoo_create_edit_adress_template() {
	global $wpdb;
	$woo_templates = ( $wpdb->get_results( "SELECT *  FROM `".$wpdb->prefix."posts` WHERE `post_type`='dslc_templates'", 'ARRAY_A' ) );
	$woo_template_found = false;

	foreach ( $woo_templates as $woo_template ) {
		if ( 'woo-edit-adress' === get_post_meta( $woo_template['ID'], 'dslc_template_for', true ) ) {
			$woo_template_found = true;
			break;
		}
	}

	if ( ! $woo_template_found ) {
		$woo = array(
			'post_title' => 'Woo Edit Address',
			'post_name' => 'woo-edit-adress',
			'post_type'  => 'dslc_templates',
			'post_status'  => 'publish',
			'ping_status'  => 'closed',
		);
		$post_id = wp_insert_post( $woo );
		add_metadata( 'post', $post_id, 'dslc_template_for', 'woo-edit-adress', true );
		add_metadata( 'post', $post_id, 'dslc_template_base', 'custom', true );
		add_metadata( 'post', $post_id, 'dslc_template_type', 'default', true );
		add_metadata( 'post', $post_id, 'woo_template_for', 'lc-woo-edit-adress', true );
		require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/design/dslc-code-edit-address.php' );
		update_option( 'lcwoo_woocommerce_edit_address_template_id', $post_id );
	}
}
add_action( 'init', 'lcwoo_create_edit_adress_template' );

/**
 * Add Woo Edit Adress into the list of post Templates in the Live Composer
 */
function lcwoo_enable_edit_adress_templates() {
	global $dslc_var_templates_pt;
	$dslc_var_templates_pt['woo-edit-address'] = 'Woo Edit Address';

	global $dslc_post_types;
	$dslc_post_types[] = 'woo-edit-address';
}
add_action( 'init', 'lcwoo_enable_edit_adress_templates', 9 );

/**
 * Include Woo Edit Adress Template
 *
 * @param string $template
 */
function lcwoo_include_edit_adress_template( $template ) {
	global $wp;
	if ( is_page( wc_get_page_id( 'myaccount' ) ) && isset( $wp->query_vars['edit-address'] ) ) {
		$template = LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/templates/edit-address.php';
		return $template;
	} else {
		return $template;
	}
}
add_filter( 'template_include', 'lcwoo_include_edit_adress_template', 99 );
