<?php

/**
 * Create default Login Template in the LiveComposer Templates Section
 */
function lcwoo_create_login_template() {
	global $wpdb;
	$woo_templates = ( $wpdb->get_results( "SELECT *  FROM `".$wpdb->prefix."posts` WHERE `post_type`='dslc_templates'", 'ARRAY_A' ) );
	$woo_template_found = false;

	foreach ( $woo_templates as $woo_template ) {
		if ( 'woo-login' === get_post_meta( $woo_template['ID'], 'dslc_template_for', true ) ) {
			$woo_template_found = true;
			break;
		}
	}

	if ( ! $woo_template_found ) {
		$woo = array(
			'post_title' => 'Woo Login',
			'post_name' => 'woo-login',
			'post_type'  => 'dslc_templates',
			'post_status'  => 'publish',
			'ping_status'  => 'closed',
		);
		$post_id = wp_insert_post( $woo );
		add_metadata( 'post', $post_id, 'dslc_template_for', 'woo-login', true );
		add_metadata( 'post', $post_id, 'dslc_template_base', 'custom', true );
		add_metadata( 'post', $post_id, 'dslc_template_type', 'default', true );
		add_metadata( 'post', $post_id, 'woo_template_for', 'lc-woo-login', true );
		require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/design/dslc-code-login.php' );
		update_option( 'lcwoo_woocommerce_login_template_id', $post_id );
	}
}
add_action( 'init', 'lcwoo_create_login_template' );

/**
 * Add Woo Login into the list of post Templates in the Live Composer
 */
function lcwoo_enable_login_templates() {
	global $dslc_var_templates_pt;
	$dslc_var_templates_pt['woo-login'] = 'Woo Login';

	global $dslc_post_types;
	$dslc_post_types[] = 'woo-login';
}
add_action( 'init', 'lcwoo_enable_login_templates', 9 );
