<?php

/**
 * Create default Lost Password Template in the LiveComposer Templates Section
 */
function lcwoo_create_lost_password_template() {
	global $wpdb;
	$woo_templates = ( $wpdb->get_results( "SELECT *  FROM `".$wpdb->prefix."posts` WHERE `post_type`='dslc_templates'", 'ARRAY_A' ) );
	$woo_template_found = false;

	foreach ( $woo_templates as $woo_template ) {
		if ( 'woo-lost-password' === get_post_meta( $woo_template['ID'], 'dslc_template_for', true ) ) {
			$woo_template_found = true;
			break;
		}
	}

	if ( ! $woo_template_found ) {
		$woo = array(
			'post_title' => 'Woo Lost Password',
			'post_name' => 'woo-lost-password',
			'post_type'  => 'dslc_templates',
			'post_status'  => 'publish',
			'ping_status'  => 'closed',
		);
		$post_id = wp_insert_post( $woo );
		add_metadata( 'post', $post_id, 'dslc_template_for', 'woo-lost-password', true );
		add_metadata( 'post', $post_id, 'dslc_template_base', 'custom', true );
		add_metadata( 'post', $post_id, 'dslc_template_type', 'default', true );
		add_metadata( 'post', $post_id, 'woo_template_for', 'lc-woo-lost-password', true );
		require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/design/dslc-code-lost-password.php' );
		update_option( 'lcwoo_woocommerce_lost_password_template_id', $post_id );
	}
}
add_action( 'init', 'lcwoo_create_lost_password_template' );

/**
 * Add Woo Lost Password into the list of post Templates in the Live Composer
 */
function lcwoo_enable_lost_password_templates() {
	global $dslc_var_templates_pt;
	$dslc_var_templates_pt['woo-lost-password'] = 'Woo Lost Password';

	global $dslc_post_types;
	$dslc_post_types[] = 'woo-lost-password';
}
add_action( 'init', 'lcwoo_enable_lost_password_templates', 9 );

/**
 * Include Woo Lost Password Template
 *
 * @param string $template
 */
function lcwoo_include_lost_password_template( $template ) {
	global $wp;
	if ( is_page( wc_get_page_id( 'myaccount' ) ) && isset( $wp->query_vars['lost-password'] ) ) {
		$template = LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/templates/lost-password.php';
		return $template;
	} else {
		return $template;
	}
}
add_filter( 'template_include', 'lcwoo_include_lost_password_template', 99 );
