<?php

/**
 * Create default Woo View Order Template in the LiveComposer Templates Section
 */
function lcwoo_create_view_order_template() {
	global $wpdb;
	$woo_templates = ( $wpdb->get_results( "SELECT *  FROM `".$wpdb->prefix."posts` WHERE `post_type`='dslc_templates'", 'ARRAY_A' ) );
	$woo_template_found = false;

	foreach ( $woo_templates as $woo_template ) {
		if ( 'woo-view-order' === get_post_meta( $woo_template['ID'], 'dslc_template_for', true ) ) {
			$woo_template_found = true;
			break;
		}
	}

	if ( ! $woo_template_found ) {
		$woo = array(
			'post_title' => 'Woo View Order',
			'post_name' => 'woo-view-order',
			'post_type'  => 'dslc_templates',
			'post_status'  => 'publish',
			'ping_status'  => 'closed',
		);
		$post_id = wp_insert_post( $woo );
		add_metadata( 'post', $post_id, 'dslc_template_for', 'woo-view-order', true );
		add_metadata( 'post', $post_id, 'dslc_template_base', 'custom', true );
		add_metadata( 'post', $post_id, 'dslc_template_type', 'default', true );
		add_metadata( 'post', $post_id, 'woo_template_for', 'lc-woo-view-order', true );
		require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/design/dslc-code-view-order.php' );
		update_option( 'lcwoo_woocommerce_view_order_template_id', $post_id );
	}
}
add_action( 'init', 'lcwoo_create_view_order_template' );

/**
 * Add Woo View Order into the list of post Templates in the Live Composer
 */
function lcwoo_enable_view_order_templates() {
	global $dslc_var_templates_pt;
	$dslc_var_templates_pt['woo-view-order'] = 'Woo View Order';

	global $dslc_post_types;
	$dslc_post_types[] = 'woo-view-order';
}
add_action( 'init', 'lcwoo_enable_view_order_templates', 9 );

/**
 * Include Woo View Order Template
 *
 * @param string $template
 */
function lcwoo_wrap_woo_view_order_content_part( $template ) {
	if ( is_view_order_page() ) {
		$template = LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/templates/view-order.php';
		return $template;
	} else {
		return $template;
	}
}
add_filter( 'template_include', 'lcwoo_wrap_woo_view_order_content_part', 99 );
