<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

get_header( 'shop' ); ?>

	<?php

	if ( ! is_user_logged_in() ) {
		require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/account/templates/login.php' );
	} else {
	    if ( is_page( wc_get_page_id( 'myaccount' ) ) && isset( $wp->query_vars['edit-address'] ) ) {

			$template_post_id = get_option( 'lcwoo_woocommerce_edit_address_template_id' );

			// Extract LC code from 'dslc_code' meta tag.
			$composer_code = get_post_meta( $template_post_id, 'dslc_code', true );
			$composer_content = '';


			// If composer code not empty.
			if ( $composer_code ) {

				$livecomposer_has_output = true;

				// Generate the composer output.
				$composer_content = do_shortcode( $composer_code );
			}

			// Output generated code.
			global $dslc_active;
			if ( $composer_code ) {
				if ( isset( $dslc_active ) ) {
					echo '<div id="dslc-content" class="dslc-content dslc-clearfix">' . do_action( 'dslc_output_prepend' ) . $composer_content . do_action( 'dslc_output_append' ) . '</div>';
				}
			}

			$composer_code .= get_post_meta( $template_post_id, 'dslc_code', true );

			// If composer not used on this page stop execution.
			if ( $composer_code ) {

				// Replace shortcode names.
				$composer_code = str_replace( 'dslc_modules_section', 'dslc_modules_section_gen_css', $composer_code );
				$composer_code = str_replace( 'dslc_modules_area', 'dslc_modules_area_gen_css', $composer_code );
				$composer_code = str_replace( '[dslc_module]', '[dslc_module_gen_css]', $composer_code );
				$composer_code = str_replace( '[dslc_module ', '[dslc_module_gen_css ', $composer_code );
				$composer_code = str_replace( '[/dslc_module]', '[/dslc_module_gen_css]', $composer_code );

				// Do CSS shortcode.
				do_shortcode( $composer_code );

			}
			?>
			<?php $link = get_permalink( get_option( 'lcwoo_woocommerce_edit_address_template_id' ) ); $url = $link . "?dslc=active"; ?>
			<script type="text/javascript">
				jQuery(document).ready(function ($) {
					jQuery('.dslca-activate-composer-hook').attr("href", "<?php echo $url; ?>");
				});
			</script>
			<?php
		}
	}
	?>

<?php get_footer( 'shop' ); ?>
