<?php

/**
 * Create default Order Received Template in the LiveComposer Templates Section
 */
function lcwoo_create_order_received_template() {
	global $wpdb;
	$woo_templates = ( $wpdb->get_results( "SELECT *  FROM `".$wpdb->prefix."posts` WHERE `post_type`='dslc_templates'", 'ARRAY_A' ) );
	$woo_template_found = false;

	foreach ( $woo_templates as $woo_template ) {
		if ( 'woo-order-received' === get_post_meta( $woo_template['ID'], 'dslc_template_for', true ) ) {
			$woo_template_found = true;
			break;
		}
	}

	if ( ! $woo_template_found ) {
		$woo = array(
			'post_title' => 'Woo Order Received',
			'post_name' => 'woo-order-received',
			'post_type'  => 'dslc_templates',
			'post_status'  => 'publish',
			'ping_status'  => 'closed',
		);
		$post_id = wp_insert_post( $woo );
		add_metadata( 'post', $post_id, 'dslc_template_for', 'woo-order-received', true );
		add_metadata( 'post', $post_id, 'dslc_template_base', 'custom', true );
		add_metadata( 'post', $post_id, 'dslc_template_type', 'default', true );
		add_metadata( 'post', $post_id, 'woo_template_for', 'lc-woo-order-received', true );
		require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/checkout/design/dslc-code-order-received.php' );
		update_option( 'lcwoo_woocommerce_order_received_template_id', $post_id );
	}
}
add_action( 'init', 'lcwoo_create_order_received_template' );

/**
 * Add Woo Order Received into the list of post Templates in the Live Composer
 */
function lcwoo_enable_order_received_templates() {
	global $dslc_var_templates_pt;
	$dslc_var_templates_pt['woo-order-received'] = 'Woo Order Received';

	global $dslc_post_types;
	$dslc_post_types[] = 'woo-order-received';
}
add_action( 'init', 'lcwoo_enable_order_received_templates', 9 );

/**
 * Include Woo Order Received Template
 *
 * @param string $template
 */
function lcwoo_include_order_received_template( $template ) {
	global $wp;
	if ( is_page( wc_get_page_id( 'checkout' ) ) && isset( $wp->query_vars['order-received'] ) ) {
		$template = LCWOO_INTEGRATION_PLUGIN_DIR.'includes/checkout/templates/order-received.php';
		return $template;
	} else {
		return $template;
	}
}
add_filter( 'template_include', 'lcwoo_include_order_received_template', 99 );
