<?php

/**
 * The Setting Tab Modules class.
 */
class LCWOO_Settings_Tab_Modules  {

	/**
	 * Initialization
	 */
	public static function init() {
		add_filter( 'woocommerce_settings_tabs_array', __CLASS__ . '::add_settings_tab', 50 );
		add_action( 'woocommerce_settings_tabs_settings_tab_lc', __CLASS__ . '::settings_tab' );
		add_action( 'woocommerce_update_options_settings_tab_lc', __CLASS__ . '::update_settings' );
	}

	/**
	 * Add Settings Tabs
	 *
	 * @param type $settings_tabs
	 */
	public static function add_settings_tab( $settings_tabs ) {
		$settings_tabs['settings_tab_lc'] = __( 'LC - Woo modules', 'woocommerce-settings-tab-lc-woo-modules' );
		return $settings_tabs;
	}

	/**
	 * Settings Tab
	 */
	public static function settings_tab() {
		woocommerce_admin_fields( self::get_settings() );
	}

	/**
	 * Update Settings
	 */
	public static function update_settings() {
		woocommerce_update_options( self::get_settings() );
	}

	/**
	 * Get Settings
	 */
	public static function get_settings() {
		$settings = array(
		    'section_title' => array(
		        'name'     => __( 'Woo modules', 'woocommerce-settings-tab-woo-modules' ),
		        'type'     => 'title',
		        'desc'     => '',
		        'id'       => 'wc_settings_tab_woo_modules_section_title',
		    ),
		    'woo-cart' => array(
		        'title'    => __( 'Cart Modules', 'woocommerce-lc-cart-modules' ),
		        'type'     => 'select',
		        'options'  => array(
		            'show'  => __( 'Show', 'woocommerce' ),
		            'hide'   => __( 'Hide', 'woocommerce' ),
		        ),
		        'desc_tip' => true,
		        'default'  => '',
		        'id'       => 'lcwoo_all_woo_modules[woo_cart_modules]',
		    ),
		    'woo-order' => array(
		        'title'    => __( 'Order Modules', 'woocommerce-lc-order-modules' ),
		        'type'     => 'select',
		        'options'  => array(
		            'show'  => __( 'Show', 'woocommerce' ),
		            'hide'   => __( 'Hide', 'woocommerce' ),
		        ),
		        'desc_tip' => true,
		        'default'  => '',
		        'id'       => 'lcwoo_all_woo_modules[woo_order_modules]',
		    ),
		    'woo-account' => array(
		        'title'    => __( 'Account Modules', 'woocommerce-lc-account-modules' ),
		        'type'     => 'select',
		        'options'  => array(
		            'show'  => __( 'Show', 'woocommerce' ),
		            'hide'   => __( 'Hide', 'woocommerce' ),
		        ),
		        'desc_tip' => true,
		        'default'  => '',
		        'id'       => 'lcwoo_all_woo_modules[woo_account_modules]',
		    ),
		    'woo-checkout' => array(
		        'title'    => __( 'Checkout Module', 'woocommerce-lc-checkout-module' ),
		        'type'     => 'select',
		        'options'  => array(
		            'show'  => __( 'Show', 'woocommerce' ),
		            'hide'   => __( 'Hide', 'woocommerce' ),
		        ),
		        'desc_tip' => true,
		        'default'  => '',
		        'id'       => 'lcwoo_all_woo_modules[woo_checkout_module]',
		    ),
		    'section_end' => array(
		         'type' => 'sectionend',
		         'id' => 'wc_settings_tab_woo_modules_section_end',
		    ),
		);

		return apply_filters( 'wc_settings_tab_woo_lc_modules_settings', $settings );
	}
}
LCWOO_Settings_Tab_Modules::init();
