<?php

/**
 * Create default Woo Product Template in the LiveComposer Templates Section
 */
function lcwoo_create_product_template() {
	global $wpdb;
	$woo_templates = ( $wpdb->get_results( "SELECT *  FROM `".$wpdb->prefix."posts` WHERE `post_type`='dslc_templates'", 'ARRAY_A' ) );
	$woo_template_found = false;

	foreach ( $woo_templates as $woo_template ) {
		if ( 'product' === get_post_meta( $woo_template['ID'], 'dslc_template_for', true ) ) {
			$woo_template_found = true;
			break;
		}
	}

	if ( ! $woo_template_found ) {
		$woo = array(
			'post_title' => 'Woo Product',
			'post_name' => 'woo-product',
			'post_type'  => 'dslc_templates',
			'post_status'  => 'publish',
			'ping_status'  => 'closed',
		);
		$post_id = wp_insert_post( $woo );
		add_metadata( 'post', $post_id, 'dslc_template_for', 'product', true );
		add_metadata( 'post', $post_id, 'dslc_template_base', 'custom', true );
		add_metadata( 'post', $post_id, 'dslc_template_type', 'default', true );
		require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/product/design/dslc-code-product.php' );
	}
}
add_action( 'init', 'lcwoo_create_product_template' );

/**
 * Add Woo Product into the list of post Templates in the Live Composer
 * WordPress Admin > Templates
 *
 * @param array $template
 */
function lcwoo_enable_product_template( $template ) {

	$template['product'] = 'Woo Product';

	return $template;

} add_filter( 'dslc_post_templates_post_types', 'lcwoo_enable_product_template' );
