<?php

/**
 * Module Share
 */
class LCWoo_Share extends DSLC_Module {

	/**
	 * ID
	 *
	 * @var string
	 */
	var $module_id;

	/**
	 * Title
	 *
	 * @var string
	 */
	var $module_title;

	/**
	 * Icon
	 *
	 * @var string
	 */
	var $module_icon;

	/**
	 * Category
	 *
	 * @var string
	 */
	var $module_category;

	/**
	 * Exclude from main listing
	 *
	 * @var string
	 */
	var $exclude_from_main_listing;

	/**
	 * Construct
	 */
	function __construct() {

		$this->module_id = 'LCWoo_Share';
		$this->module_title = __( 'Share', 'lc-woo-integration' );
		$this->module_icon = 'twitter';
		$this->module_category = 'Woo Product';
		$this->exclude_from_main_listing = true;
	}

	/**
	 * Options
	 */
	function options() {

		$dslc_options = array();

		return apply_filters( 'dslc_module_options', $dslc_options, $this->module_id );
	}

	/**
	 * Output
	 *
	 * @param array $options
	 */
	function output( $options ) {

		$this->module_start( $options );

		global $dslc_active;

		if ( 'dslc_templates' === get_post_type() ||  $dslc_active || is_product() ) {
		?>
			<style type="text/css">
				<?php echo '#dslc-content .dslc-module-LCWoo_Share .dslca-module-manage a.dslca-module-edit-hook, #dslc-content .dslc-module-LCWoo_Share .dslca-module-manage a.dslca-copy-module-hook, #dslc-content .dslc-module-LCWoo_Share .dslca-module-manage a.dslca-change-width-module-hook {'; ?>
				<?php echo 'display: none; }'; ?>
			</style>
			<?php if ( is_admin() ) { ?>
				<div class="dslc-notification dslc-red">
					<?php esc_html_e( 'Please press the "Publish changes" button and refresh the page to make the module work.', 'lc-woo-integration' ); ?>
				</div>
			<?php } else { ?>
				<div class="lc-woo-share">
					<?php

					if ( has_action( 'woocommerce_share' ) ) {
						do_action( 'woocommerce_share' );
					} else { ?>
						<div class="dslc-notification dslc-red">
							<?php esc_html_e( 'Please activate the social media plugin.', 'lc-woo-integration' ); ?>
						</div>
					<?php }

					require_once( ABSPATH . 'wp-admin/includes/plugin.php' );

					if ( is_plugin_active( 'jetpack/jetpack.php' ) ) {
						sharing_display( '', true );
					}
					?>
				</div>
			<?php } ?>
		<?php
		} else {
			if ( current_user_can( 'manage_options' ) ) {
			?>
				<div class="dslc-notification dslc-red">
					<?php esc_html_e( 'This module is for WooCommerce product pages only.', 'lc-woo-integration' ); ?>
				</div>
			<?php
			}
		};

		$this->module_end( $options );

	}
}

add_action('dslc_hook_register_modules',
	create_function( '', 'return dslc_register_module( "LCWoo_Share" );' )
);
