<?php

/**
 * Create default Woo Shop Template in the LiveComposer Templates Section
 */
function lcwoo_create_shop_template() {
	global $wpdb;
	$woo_templates = ( $wpdb->get_results( "SELECT *  FROM `".$wpdb->prefix."posts` WHERE `post_type`='dslc_templates'", 'ARRAY_A' ) );
	$woo_template_found = false;

	foreach ( $woo_templates as $woo_template ) {
		if ( 'woo-shop' === get_post_meta( $woo_template['ID'], 'dslc_template_for', true ) ) {
			$woo_template_found = true;
			break;
		}
	}

	if ( ! $woo_template_found ) {
		$woo = array(
			'post_title' => 'Woo Shop',
			'post_name' => 'woo-shop',
			'post_type'  => 'dslc_templates',
			'post_status'  => 'publish',
			'ping_status'  => 'closed',
		);
		$post_id = wp_insert_post( $woo );
		add_metadata( 'post', $post_id, 'dslc_template_for', 'woo-shop', true );
		add_metadata( 'post', $post_id, 'dslc_template_base', 'custom', true );
		add_metadata( 'post', $post_id, 'dslc_template_type', 'default', true );
		require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/shop/design/page/dslc-code-shop.php' );
	}
}
add_action( 'init', 'lcwoo_create_shop_template' );

/**
 * Add Woo Shop into the list of post Templates in the Live Composer
 * @param string $template
 */
function lcwoo_enable_shop_template( $template ) {

	$template['woo-shop'] = 'Woo Shop';

	return $template;

} add_filter( 'dslc_post_templates_post_types', 'lcwoo_enable_shop_template' );

/**
 * Include Woo Shop Template
 *
 * @param string $template
 */
function lcwoo_include_shop_template( $template ) {
	if ( is_shop() ) {
		$template = LCWOO_INTEGRATION_PLUGIN_DIR.'includes/shop/templates/page/shop.php';
		return $template;
	} else {
		return $template;
	}
}
add_filter( 'template_include', 'lcwoo_include_shop_template', 99 );
