<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

get_header( 'shop' ); ?>

	<?php

    if ( is_product_category() || is_product_tag() ) {

		global $wp_query;
		$term_id = get_queried_object()->term_id;
		$term_meta = get_woocommerce_term_meta( $term_id, 'lc_template', $single = true );

		if ( '' === $term_meta  ) {

			$args = array(
				'post_type' => 'dslc_templates',
				'post_status' => 'publish',
				'posts_per_page' => 1,
				'meta_query' => array(
					array(
						'key' => 'dslc_template_for',
						'value' => 'product_archive',
						'compare' => '=',
					),
					array(
						'key' => 'dslc_template_type',
						'value' => 'default',
						'compare' => '=',
					),
				),
				'order' => 'DESC',
			);
			$tpls = get_posts( $args );

			$template_post_id = $tpls[0]->ID;
		} else {
			$template_post_id = get_woocommerce_term_meta( $term_id, 'lc_template', $single = true );
		}

		// Extract LC code from 'dslc_code' meta tag.
		$composer_code = get_post_meta( $template_post_id, 'dslc_code', true );
		$composer_content = '';


		// If composer code not empty.
		if ( $composer_code ) {

			$livecomposer_has_output = true;

			// Generate the composer output.
			$composer_content = do_shortcode( $composer_code );
		}

		// Output generated code.
		global $dslc_active;
		if ( $composer_code ) {
			if ( isset( $dslc_active ) ) {
				echo '<div id="dslc-content" class="dslc-content dslc-clearfix">' . do_action( 'dslc_output_prepend' ) . $composer_content . do_action( 'dslc_output_append' ) . '</div>';
			}
		}

		$composer_code .= get_post_meta( $template_post_id, 'dslc_code', true );

		echo '<style type="text/css">';

		// If composer not used on this page stop execution.
		if ( $composer_code ) {

			// Replace shortcode names.
			$composer_code = str_replace( 'dslc_modules_section', 'dslc_modules_section_gen_css', $composer_code );
			$composer_code = str_replace( 'dslc_modules_area', 'dslc_modules_area_gen_css', $composer_code );
			$composer_code = str_replace( '[dslc_module]', '[dslc_module_gen_css]', $composer_code );
			$composer_code = str_replace( '[dslc_module ', '[dslc_module_gen_css ', $composer_code );
			$composer_code = str_replace( '[/dslc_module]', '[/dslc_module_gen_css]', $composer_code );

			// Do CSS shortcode.
			do_shortcode( $composer_code );

		}

		// Echo CSS style.
		if ( ! $dslc_active && $composer_code ) {
			echo $dslc_css_style;
		}

		echo '</style>';

		?>

		<?php
		$preview_id = '&preview_id=' . $term_id;
		$url = admin_url( 'admin.php?page=livecomposer_editor&page_id=' . $template_post_id . $preview_id);
		?>
		<script type="text/javascript">
			jQuery(document).ready(function ($) {
				jQuery('.dslca-activate-composer-hook').attr("href", "<?php echo $url; ?>");
				jQuery('.dslca-activate-composer-hook').attr("target", "_blank");
				jQuery('.dslca-activate-composer-hook').html('EDIT TEMPLATE');
			});
		</script>
	<?php
	}
	?>

<?php get_footer( 'shop' ); ?>
