<?php

/**
 *  Plugin Name: Live Composer - WooCommerce integration
 *  Plugin URI: https://livecomposerplugin.com/add-ons/
 *  Description: Create a fully customizable WooCoomerce website using drag and drop builder.
 *  Version: 0.0.1
 *  Author: Live Composer Team
 *  Author URI: https://livecomposerplugin.com/
 */

function lcwoo_plugin_init() {

	/**
	 * Run plugin only if the Live Composer and WooCommerce plugin is active
	 */

	if ( class_exists( 'WooCommerce' ) && class_exists( 'DSLC_Module' ) ) {

		define( 'LCWOO_INTEGRATION_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
		define( 'LCWOO_INTEGRATION_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
		define( 'LCWOO_INTEGRATION_PLUGIN_VER', '0.0.1' );

		/**
		 * Include required core files
		 */

		require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/product/lc-woo-product.php' );
		require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/shop/lc-woo-shop.php' );
		require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/cart/lc-woo-cart.php' );
		require_once( LCWOO_INTEGRATION_PLUGIN_DIR.'includes/common/functions.php' );
	} else {

		/**
		 * Admin Notice
		 */
		function lcwoo_inactive_notice() {
		?>
		<div class="error">
			<p><?php printf( __( '%sLive Composer - WooCommerce integration is inactive.%s The %sWooCommerce%s or %sLive Composer%s plugin must be active for Live Composer - WooCommerce integration to work. Please %sinstall & activate WooCommerce or Live Composer%s', 'woocommerce-subscriptions' ), '<strong>', '</strong>', '<a target="_blank" href="https://wordpress.org/plugins/woocommerce/">', '</a>', '<a target="_blank" href="https://wordpress.org/plugins/live-composer-page-builder/">', '</a>', '<a href="' . admin_url( 'plugins.php' ) . '">', '.</a>' ); ?></p>
		</div>
		<?php }
		add_action( 'admin_notices', 'lcwoo_inactive_notice' );
	}
}
add_action( 'plugins_loaded', 'lcwoo_plugin_init' );
